org.apache.solr.client.solrj.cloud.autoscaling

## Class DelegatingDistribStateManager

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.DelegatingDistribStateManager

All Implemented Interfaces:
  Closeable, AutoCloseable, DistribStateManager, SolrCloseable

Deprecated.
to be removed in Solr 9.0 (see SOLR-14656)

    public class DelegatingDistribStateManager
    extends Object
    implements DistribStateManager

### Constructor Summary

Constructors
Constructor and Description
`DelegatingDistribStateManager(DistribStateManager delegate)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `close()` Deprecated.
`String` `createData(String path, byte[] data, org.apache.zookeeper.CreateMode mode)` Deprecated. Create data (leaf) node at specified path.
`AutoScalingConfig` `getAutoScalingConfig()` Deprecated.
`AutoScalingConfig` `getAutoScalingConfig(org.apache.zookeeper.Watcher watcher)` Deprecated.
`VersionedData` `getData(String path)` Deprecated.
`VersionedData` `getData(String path, org.apache.zookeeper.Watcher watcher)` Deprecated.
`boolean` `hasData(String path)` Deprecated.
`List<String>` `listData(String path)` Deprecated.
`List<String>` `listData(String path, org.apache.zookeeper.Watcher watcher)` Deprecated.
`void` `makePath(String path)` Deprecated.
`void` `makePath(String path, byte[] data, org.apache.zookeeper.CreateMode createMode, boolean failOnExists)` Deprecated.
`List<org.apache.zookeeper.OpResult>` `multi(Iterable<org.apache.zookeeper.Op> ops)` Deprecated.
`void` `removeData(String path, int version)` Deprecated.
`void` `setData(String path, byte[] data, int version)` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.cloud.DistribStateManager

`getReplicaStates, listTree, removeRecursively`

### Methods inherited from interface org.apache.solr.common.SolrCloseable

`isClosed`

### Constructor Detail

#### DelegatingDistribStateManager

    public DelegatingDistribStateManager(DistribStateManager delegate)

Deprecated.

### Method Detail

#### hasData

    public boolean hasData(String path)
                    throws IOException,
                           org.apache.zookeeper.KeeperException,
                           InterruptedException

Deprecated.

Specified by:
  `hasData` in interface `DistribStateManager`
Throws:
  `IOException`
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`

#### listData

    public List<String> listData(String path)
                          throws NoSuchElementException,
                                 IOException,
                                 org.apache.zookeeper.KeeperException,
                                 InterruptedException

Deprecated.

Specified by:
  `listData` in interface `DistribStateManager`
Throws:
  `NoSuchElementException`
  `IOException`
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`

#### listData

    public List<String> listData(String path,
                                 org.apache.zookeeper.Watcher watcher)
                          throws NoSuchElementException,
                                 IOException,
                                 org.apache.zookeeper.KeeperException,
                                 InterruptedException

Deprecated.

Specified by:
  `listData` in interface `DistribStateManager`
Throws:
  `NoSuchElementException`
  `IOException`
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`

#### getData

    public VersionedData getData(String path,
                                 org.apache.zookeeper.Watcher watcher)
                          throws NoSuchElementException,
                                 IOException,
                                 org.apache.zookeeper.KeeperException,
                                 InterruptedException

Deprecated.

Specified by:
  `getData` in interface `DistribStateManager`
Throws:
  `NoSuchElementException`
  `IOException`
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`

#### getData

    public VersionedData getData(String path)
                          throws NoSuchElementException,
                                 IOException,
                                 org.apache.zookeeper.KeeperException,
                                 InterruptedException

Deprecated.

Specified by:
  `getData` in interface `DistribStateManager`
Throws:
  `NoSuchElementException`
  `IOException`
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`

#### makePath

    public void makePath(String path)
                  throws AlreadyExistsException,
                         IOException,
                         org.apache.zookeeper.KeeperException,
                         InterruptedException

Deprecated.

Specified by:
  `makePath` in interface `DistribStateManager`
Throws:
  `AlreadyExistsException`
  `IOException`
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`

#### makePath

    public void makePath(String path,
                         byte[] data,
                         org.apache.zookeeper.CreateMode createMode,
                         boolean failOnExists)
                  throws AlreadyExistsException,
                         IOException,
                         org.apache.zookeeper.KeeperException,
                         InterruptedException

Deprecated.

Specified by:
  `makePath` in interface `DistribStateManager`
Throws:
  `AlreadyExistsException`
  `IOException`
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`

#### createData

    public String createData(String path,
                             byte[] data,
                             org.apache.zookeeper.CreateMode mode)
                      throws AlreadyExistsException,
                             IOException,
                             org.apache.zookeeper.KeeperException,
                             InterruptedException

Deprecated.
Description copied from interface: `DistribStateManager`
Create data (leaf) node at specified path.

Specified by:
  `createData` in interface `DistribStateManager`
Parameters:
  `path` - base path name of the node.
  `data` - data to be stored.
  `mode` - creation mode.
Returns:
  actual path of the node - in case of sequential nodes this will differ from the base path because of the appended sequence number.
Throws:
  `AlreadyExistsException`
  `IOException`
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`

#### removeData

    public void removeData(String path,
                           int version)
                    throws NoSuchElementException,
                           NotEmptyException,
                           IOException,
                           BadVersionException,
                           org.apache.zookeeper.KeeperException,
                           InterruptedException

Deprecated.

Specified by:
  `removeData` in interface `DistribStateManager`
Throws:
  `NoSuchElementException`
  `NotEmptyException`
  `IOException`
  `BadVersionException`
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`

#### setData

    public void setData(String path,
                        byte[] data,
                        int version)
                 throws BadVersionException,
                        NoSuchElementException,
                        IOException,
                        org.apache.zookeeper.KeeperException,
                        InterruptedException

Deprecated.

Specified by:
  `setData` in interface `DistribStateManager`
Throws:
  `BadVersionException`
  `NoSuchElementException`
  `IOException`
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`

#### multi

    public List<org.apache.zookeeper.OpResult> multi(Iterable<org.apache.zookeeper.Op> ops)
                                              throws BadVersionException,
                                                     NoSuchElementException,
                                                     AlreadyExistsException,
                                                     IOException,
                                                     org.apache.zookeeper.KeeperException,
                                                     InterruptedException

Deprecated.

Specified by:
  `multi` in interface `DistribStateManager`
Throws:
  `BadVersionException`
  `NoSuchElementException`
  `AlreadyExistsException`
  `IOException`
  `org.apache.zookeeper.KeeperException`
  `InterruptedException`

#### getAutoScalingConfig

    public AutoScalingConfig getAutoScalingConfig(org.apache.zookeeper.Watcher watcher)
                                           throws InterruptedException,
                                                  IOException

Deprecated.

Specified by:
  `getAutoScalingConfig` in interface `DistribStateManager`
Throws:
  `InterruptedException`
  `IOException`

#### getAutoScalingConfig

    public AutoScalingConfig getAutoScalingConfig()
                                           throws InterruptedException,
                                                  IOException

Deprecated.

Specified by:
  `getAutoScalingConfig` in interface `DistribStateManager`
Throws:
  `InterruptedException`
  `IOException`

#### close

    public void close()
               throws IOException

Deprecated.

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`